Bug 230293 - Add IDL skeleton for SharedWorker
Summary: Add IDL skeleton for SharedWorker
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alex Christensen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-09-14 19:28 PDT by Alex Christensen
Modified: 2021-09-17 08:41 PDT (History)
19 users (show)

See Also:


Attachments
Patch (41.60 KB, patch)
2021-09-14 19:28 PDT, Alex Christensen
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (41.59 KB, patch)
2021-09-14 19:45 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (422.36 KB, patch)
2021-09-15 12:18 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (445.37 KB, patch)
2021-09-15 12:32 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (669.34 KB, patch)
2021-09-15 13:52 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (675.71 KB, patch)
2021-09-15 14:58 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (657.66 KB, patch)
2021-09-15 16:22 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Christensen 2021-09-14 19:28:18 PDT
Add IDL skeleton for SharedWorker
Comment 1 Alex Christensen 2021-09-14 19:28:32 PDT
Created attachment 438207 [details]
Patch
Comment 2 Alex Christensen 2021-09-14 19:45:37 PDT
Created attachment 438208 [details]
Patch
Comment 3 Alex Christensen 2021-09-15 12:18:10 PDT
Created attachment 438273 [details]
Patch
Comment 4 Alex Christensen 2021-09-15 12:32:44 PDT
Created attachment 438276 [details]
Patch
Comment 5 Alex Christensen 2021-09-15 13:52:38 PDT
Created attachment 438285 [details]
Patch
Comment 6 Geoffrey Garen 2021-09-15 13:58:50 PDT
Comment on attachment 438285 [details]
Patch

r=me
Comment 7 Alex Christensen 2021-09-15 14:58:16 PDT
Created attachment 438295 [details]
Patch
Comment 8 Geoffrey Garen 2021-09-15 15:00:15 PDT
Comment on attachment 438295 [details]
Patch

r=me
Comment 9 Alex Christensen 2021-09-15 16:22:10 PDT
Created attachment 438300 [details]
Patch
Comment 10 Geoffrey Garen 2021-09-15 16:27:29 PDT
Comment on attachment 438300 [details]
Patch

r=me
Comment 11 EWS 2021-09-15 18:08:18 PDT
Committed r282484 (241732@main): <https://commits.webkit.org/241732@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 438300 [details].
Comment 12 Radar WebKit Bug Importer 2021-09-15 18:09:44 PDT
<rdar://problem/83176545>